petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMStagVecRestoreArrayDOF

restore read-only access to a raw array

### Synopsis

    PetscErrorCode DMStagVecRestoreArrayDOF(DM dm,Vec vec,void *array)

Logically Collective

### Input Parameters

| dm | - the DMStag object
| vec | - the Vec object

### Output Parameters

array -the array

### See Also

DMSTAG, DMStagVecGetArrayDOF(), DMDAVecRestoreArrayDOFRead()

### Level

beginner

### Location

src/dm/impls/stag/stagutils.c
Index of all DMSTAG routines
Table of Contents for all manual pages
Index of all manual pages